package ru.micord.ervu.account_applications.service.processor;

import java.util.List;

/**
 * @author Adel Kalimullin
 */
public interface DataProcessor<T, R> {
  void upsertData(T data);

  void changeActiveStatus(List<String> ids, boolean active);

  Class<T> getType();

  R mapToRecord(T data);
}